UNSUPPORTED_OPTION_WITH_LEGAL_VALUE constant

AnalysisOptionsWarningCode const UNSUPPORTED_OPTION_WITH_LEGAL_VALUE = const AnalysisOptionsWarningCode('UNSUPPORTED_OPTION_WITH_LEGAL_VALUE', 'The option '{1}' isn't supported by '{0}'. ' 'Try using the only supported option: '{2}'.')

An error code indicating that a plugin is being configured with an unsupported option where there is just one legal value.

Parameters: 0: the plugin name 1: the unsupported option key 2: the legal value

Implementation

static const AnalysisOptionsWarningCode UNSUPPORTED_OPTION_WITH_LEGAL_VALUE =
    const AnalysisOptionsWarningCode(
        'UNSUPPORTED_OPTION_WITH_LEGAL_VALUE',
        "The option '{1}' isn't supported by '{0}'. "
        "Try using the only supported option: '{2}'.")